+ Responder ao Tópico



  1. #1
    locutos
    Visitante

    Padrão Compilação do BlackBox

    Estive tentando instalar o BlackBox, mas apareceu o seguinte erro:

    [[email protected] blackbox-0.65.0]# ./configure
    loading cache ./config.cache
    checking for a BSD compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking whether make sets ${MAKE}... yes
    checking for working aclocal... found
    checking for working autoconf... found
    checking for working automake... found
    checking for working autoheader... found
    checking for working makeinfo... missing
    checking for gcc... gcc
    checking whether the C compiler (gcc ) works... yes
    checking whether the C compiler (gcc ) is a cross-compiler... no
    checking whether we are using GNU C... yes
    checking whether gcc accepts -g... yes
    checking for c++... c++
    checking whether the C++ compiler (c++ ) works... no
    configure: error: installation or configuration problem: C++ compiler cannot create executables.
    [[email protected] blackbox-0.65.0]#



    Segue abaixo o config.log


    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.

    configure:572: checking for a BSD compatible install
    configure:625: checking whether build environment is sane
    configure:682: checking whether make sets ${MAKE}
    configure:721: checking for working aclocal
    configure:734: checking for working autoconf
    configure:747: checking for working automake
    configure:760: checking for working autoheader
    configure:773: checking for working makeinfo
    configure:793: checking for gcc
    configure:906: checking whether the C compiler (gcc ) works
    configure:922: gcc -o conftest conftest.c 1>&5
    configure:948: checking whether the C compiler (gcc ) is a cross-compiler
    configure:953: checking whether we are using GNU C
    configure:962: gcc -E conftest.c
    configure:981: checking whether gcc accepts -g
    configure:1017: checking for c++
    configure:1049: checking whether the C++ compiler (c++ ) works
    configure:1065: c++ -o conftest conftest.C 1>&5
    /usr/bin/ld: cannot find -lstdc++
    collect2: ld returned 1 exit status
    configure: failed program was:

    #line 1060 "configure"
    #include "confdefs.h"

    int main(){return(0);}


    Será que algue sabe qual pacote está faltando?

    RICARDO DE PAIVA SILVA

  2. #2
    whinston
    Visitante

    Padrão compiladores e bibliotecas

    bem 'vagamente' falando, rs, ta faltando bibliotecas ou programas auxiliares do GCC. vc fez uma instalação FULL da sua distro ?



  3. #3
    locutos
    Visitante

    Padrão Compilação do BlackBox

    Pois é... Não fiz a instalação completa, fiz a padrão.
    Está faltando alguma biblioteca do C++, mas não consigo descobrir qual é.
    Uso o Conectiva 10.

  4. #4
    locutos
    Visitante

    Padrão Compilação do BlackBox

    Bom gente, ainda tentando instalar o BlackBox, consegui passar do erro acima, mas apareceu um novo erro.

    [[email protected] blackbox-0.65.0]# ./configure
    creating cache ./config.cache
    checking for a BSD compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking whether make sets ${MAKE}... yes
    checking for working aclocal... found
    checking for working autoconf... found
    checking for working automake... found
    checking for working autoheader... found
    checking for working makeinfo... missing
    checking for gcc... gcc
    checking whether the C compiler (gcc ) works... yes
    checking whether the C compiler (gcc ) is a cross-compiler... no
    checking whether we are using GNU C... yes
    checking whether gcc accepts -g... yes
    checking for c++... c++
    checking whether the C++ compiler (c++ ) works... yes
    checking whether the C++ compiler (c++ ) is a cross-compiler... no
    checking whether we are using GNU C++... yes
    checking whether c++ accepts -g... yes
    checking for a BSD compatible install... /usr/bin/install -c
    checking for sed... sed
    checking how to run the C preprocessor... gcc -E
    checking for ctype.h... yes
    checking for dirent.h... yes
    checking for fcntl.h... yes
    checking for libgen.h... yes
    checking for locale.h... yes
    checking for nl_types.h... yes
    checking for process.h... no
    checking for signal.h... yes
    checking for stdarg.h... yes
    checking for stdio.h... yes
    checking for stdlib.h... yes
    checking for string.h... yes
    checking for time.h... yes
    checking for unistd.h... yes
    checking for sys/param.h... yes
    checking for sys/select.h... yes
    checking for sys/signal.h... yes
    checking for sys/stat.h... yes
    checking for sys/time.h... yes
    checking for sys/types.h... yes
    checking for sys/wait.h... yes
    checking whether time.h and sys/time.h may both be included... yes
    checking for basename... yes
    checking for getpid... yes
    checking for setlocale... yes
    checking for sigaction... yes
    checking for strftime... yes
    checking for strcasestr... yes
    checking for snprintf... yes
    checking for vsnprintf... yes
    checking for catopen... yes
    checking for catgets... yes
    checking for catclose... yes
    checking for t_open in -lnsl... no
    checking for socket in -lsocket... no
    checking for X... no
    configure: error: Blackbox requires the X Window System libraries and headers.
    [[email protected] blackbox-0.65.0]#

    Preciso dele por que estou em um k6-300 e o KDE é bem pesado.



  5. #5

    Padrão Compilação do BlackBox

    Cara no seu caso que usa conectiva 10 o mais facil eh um apt-get update, e depois um apt-get install blackbox.


    falows

  6. #6
    locutos
    Visitante

    Padrão Compilação do BlackBox

    Eu havia tentado, mas sem sucesso.
    Aí instalei a versão 0.62 que eu achei em RPM.

    Tentando usar o apt-get retornou as mensagens abaixo, só que não tenho a versão mais atual instalada. A mais atual é a 0.65

    [[email protected] /]# apt-get update blackbox
    E: Arquivos de fontes /etc/apt/sources.list.d/blackbox.list não existe

    [[email protected] /]# apt-get upgrade blackbox
    Lendo Listas de Pacotes... Feito
    Construindo Árvore de Dependências... Feito
    0 atualizados, 0 novos instalados, 0 removidos e 0 não atualizados.

    [[email protected] /]# apt-get install blackbox
    Lendo Listas de Pacotes... Feito
    Construindo Árvore de Dependências... Feito
    blackbox já está na versão mais nova.
    0 atualizados, 0 novos instalados, 0 removidos e 0 não atualizados.
    [[email protected] /]#



  7. #7

    Padrão Compilação do BlackBox

    Citação Postado originalmente por locutos
    Eu havia tentado, mas sem sucesso.
    Aí instalei a versão 0.62 que eu achei em RPM.

    Tentando usar o apt-get retornou as mensagens abaixo, só que não tenho a versão mais atual instalada. A mais atual é a 0.65

    [[email protected] /]# apt-get update blackbox
    E: Arquivos de fontes /etc/apt/sources.list.d/blackbox.list não existe

    [[email protected] /]# apt-get upgrade blackbox
    Lendo Listas de Pacotes... Feito
    Construindo Árvore de Dependências... Feito
    0 atualizados, 0 novos instalados, 0 removidos e 0 não atualizados.

    [[email protected] /]# apt-get install blackbox
    Lendo Listas de Pacotes... Feito
    Construindo Árvore de Dependências... Feito
    blackbox já está na versão mais nova.
    0 atualizados, 0 novos instalados, 0 removidos e 0 não atualizados.
    [[email protected] /]#
    nao eh apt-get update blackbox, eh so apt-get update.

    falows